<?php
/* ************************************************************************** *
 *																										*
 * Core mod - lib_editor_upload.php v3.1 by Slodave, 2007 - avgust 2008,		*
 * http://www.zabec.net																			*
 * -------- -------- -------- -------- -------- -------- -------- --------		*
 * 																									*
 * Datoteka vsebuje funkcije, za skrbijo za shranjene datoteke preko 			*
 *	swfUpload																						*
 * - pred verzijo 3.1 so bile funkcije združene v lib_add.php						*
 * ************************************************************************** */

/* Funkcija skrbi za upload in procesiranje datotek v editorju
 * klicano iz: @ - ajax.php
 * @parameter: $datoteka - $_FILES["Filedata"] datoteka, ki jo želimo prenesti
 * @parameter: $clean - preverjene spremenljivke poslane preko ajaxa
 * @parameter: $tpl_jezik jezikovne spremenljivke iz lib_language.php
 */
function addDatoteka($datoteka, $clean, $tpl_jezik) {
	global $mod_settings;
	global $db;

	//kličemo class iz lib_file.php
	$file = new fileHandling();
	$path = "../../".$mod_settings['datoteka_path'];

	$upload = $file->upload($datoteka, $path, $mod_settings['editor_allowed_file']);
	if($upload)	{
		//gre za jezikovno pogojene datoteke
		if($_SESSION[$clean['id']."_".$_SESSION['editor_stopnja']."_"."datotekejezik"] == true) {
			$sql = "INSERT INTO ".$mod_settings['datoteke_tabela']." (item_id, datoteka,lang) VALUES ('$clean[id]', '$upload','$clean[trenutni_jezik]')";
			unset($_SESSION[$id."_".$_SESSION['editor_stopnja']."_"."datotekejezik"]);
		}
		//datoteke niso jezikovno pogojene
		else {
			$sql = "INSERT INTO ".$mod_settings['datoteke_tabela']." (item_id, datoteka) VALUES ('$clean[id]', '$upload')";
		}
		$result = $db->query($sql);
		if($result) {
			//vpišemo spremembo v zadnje spremembe (funkcija iz lib_spremembe.php)
			novaSprememba($id, $tpl_jezik['add_dodanadatoteka']);
			echo "ok";
			return true;
		}
	}
	echo "Napaka!";
}

/* Funkcija skrbi za upload in procesiranje datotek v editorju
 * klicano iz: @ - ajax.php
 * @parameter: $datoteka - $_FILES["Filedata"] slika, ki jo želimo prenesti
 * @parameter: $id - Item id
 * @parameter: $tip - je vrsta datoteke, ki jo prenašamo (možnosti sika, galerija ali custom)
 * @parameter: $tpl_jezik jezikovne spremenljivke iz lib_language.php
 */
function addSlika($datoteka, $id, $tip, $tpl_jezik) {
	global $mod_settings;
	global $db;

	//custom funkcija za procesiranje uploada
	if(function_exists("custom_uploadSlika")){
		$custom_uploadSlika = custom_uploadSlika($datoteka, $id, $tip);
	}
	//če za shranjevanje ni poskrbela custom funkcija, generiramo standarden upload
	if(!$custom_uploadSlika) {

		//kličemo class iz lib_file.php
		$file = new fileHandling();
		$paths = "../../".$mod_settings['slika_path'];

		$upload = $file->upload($datoteka, $paths, $mod_settings['editor_allowed_image']);
		//če je upload uspešen
		if($upload)	{
			//kličemo class iz lib_file.php
			$image = new imageHandling();

			//custom funkcija za generiranje dodatnih slik (različnih velikosti)
			if(function_exists("more_images")) {
				//fukcija se kliče iz custom.php posameznega modula
				more_images($upload,$paths,$tip,$image,$file);
			}

			//generiramo thumbnail za uporabo v editorju
			$image->createThumb($paths.$upload,$paths.$upload,59);

			//če gre za nestandardna polja (ni slika ali galerija), dobimo podatke iz sessiona
			if(isset($_SESSION[$id."_"."customslike"])) {
				if(in_array($tip, $_SESSION[$id."_"."customslike"])) {
					$field = $tip;
					$tip = "custom";
				}
			}

			//preverimo kakšen je tip in na podlagi tega generiramo ustrezen SQL
			switch($tip) {
				case "slika":
					$sql = "UPDATE ".$mod_settings['tabela']." SET slika = '$upload' WHERE id = '$id'";
					break;
				case "galerija":
					$sql = "INSERT INTO ".$mod_settings['galerija_tabela']." (item_id, slika) VALUES ('$id', '$upload')";
					break;
				case "custom":
					$sql = "UPDATE ".$mod_settings['tabela']." SET ".$field." = '$upload' WHERE id = '$id'";
					break;
				default:
					napaka("Napaka pri tipu datoteke!", true);
					return false;
				break;
			}

			//procesiramo SQL
			$result = $db->query($sql);
			if($result) {
				if($mod_settings['galerija_vrstni_red'] AND $tip == "galerija") {
					//generiramo vrstni red, če je galerija in ima definiram vrstni red (funkcija iz lib_mod_general.php)
					vrstni_red($result->insertID(), "dodaj", "galerija");
				}
				//zapišemo spremembo (funkcija iz lib_spremembe.php)
				novaSprememba($id, $tpl_jezik['add_dodanaslika']);
				echo "ok";
			}
		}
		else {
			echo "Napaka!";
		}
	}
}
 ?>